Skip to main content
PUT
Upload bytes to an attachment upload URL

Authorizations

X-Qubrics-Upload-Token
string
header
required

Headers

X-Qubrics-Upload-Token
string

Short-lived upload token returned by POST /emails/attachment-uploads. Send this header or X-Sendmux-Upload-Token. If both are sent, their values must match.

X-Sendmux-Upload-Token
string

Compatibility alias for X-Qubrics-Upload-Token, retained indefinitely.

Content-Length
integer<int64>
required

Exact number of bytes in the binary request body.

Required range: x >= 1

Path Parameters

upload_id
string
required

Upload intent ID returned by POST /emails/attachment-uploads.

Pattern: ^upl_[a-z0-9]{24}$

Body

application/octet-stream

The body is of type file.

Response

Attachment uploaded successfully

meta
object
required
ok
enum<boolean>
required
Available options:
true
data
object
required